Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
bit_ops.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
template<typename T >
size_t | Botan::ceil_log2 (T x)
template<typename T >
size_t | Botan::ctz (T n)
template<typename T >
size_t | Botan::hamming_weight (T n)
template<typename T >
size_t | Botan::high_bit (T n)
template<typename T >
bool | Botan::is_power_of_2 (T arg)
template<typename T >
size_t | Botan::low_bit (T n)
template<typename T >
size_t | Botan::significant_bytes (T n)